Host Active Directory Authentication Remove Smart Card Trust Anchor By Fingerprint

Host Active Directory Authentication Remove Smart Card Trust Anchor By Fingerprint
Remove a smart card trust anchor certificate from the system by fingerprint.

Deprecated as of vSphere API 8.0U3, and there is no replacement for it.

Remove a smart card trust anchor certificate from the system by fingerprint.

Required privileges: Host.Config.AuthenticationStore

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/HostActiveDirectoryAuthentication/{moId}/RemoveSmartCardTrustAnchorByFingerprint
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case HostActiveDirectoryAuthentication/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
Required
{
    "fingerprint": "string",
    "digest": "string"
}
string
fingerprint
Required

Certificate fingerprint

string
digest
Required

Digest function used to compute fingerprint. One of HostActiveDirectoryAuthenticationCertificateDigestEnum.

Authentication
This operation uses the following authentication methods.
Responses
204

No Content

Operation doesn't return any data structure

500

HostConfigFault: if the host configuration prevents the certificate from being removed.

Returns HostConfigFault of type(s) application/json
This response body class contains all of the following: VimFault
{
    "_typeName": "string",
    "faultCause": {
        "_typeName": "string",
        "faultCause": "MethodFault Object",
        "faultMessage": [
            {
                "_typeName": "string",
                "key": "string",
                "arg": [
                    {
                        "_typeName": "string",
                        "key": "string",
                        "value": {
                            "_typeName": "string"
                        }
                    }
                ],
                "message": "string"
            }
        ]
    },
    "faultMessage": [
        {
            "_typeName": "string",
            "key": "string",
            "arg": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "value": {
                        "_typeName": "string"
                    }
                }
            ],
            "message": "string"
        }
    ]
}

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"fingerprint":"string","digest":"string"}' https://{api_host}/sdk/vim25/{release}/HostActiveDirectoryAuthentication/{moId}/RemoveSmartCardTrustAnchorByFingerprint